import sys

t = int(sys.stdin.readline())
for i in range(t):
    q = int(sys.stdin.readline())
    m = list(map(int,sys.stdin.readline().split()))
    m = sorted(m)
    m1 = []
    m2 = []
    for i in range(q):
        if i%2 == 0:
            m2.append(m[i])
        else:
            m1.append(m[i])
        
    m1 = list(reversed(m1))
    m = m1 + m2
    wiin = 0
    for i in range(q-2):
        if 2*m[i+1] <= m[i] + m[i+2]:
            wiin += 1
        else:
            print("NO")
            break
    if wiin == q-2:
        print("YES")

